Read Web Visitor Thread (M2M)
The visitor's current fresh thread with this agent, user and assistant messages only, for restoring the widget after a reload. Read-only: never creates a visitor.
Authorization
BundleAccessToken AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/bundler/visitors/web-thread" \ -H "Content-Type: application/json" \ -d '{ "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978", "visitor_key": "string" }'{ "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407", "messages": [ { "role": "string", "tool_name": "string", "content": "string", "tool_call_id": "string", "attachments": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "image", "media_type": "string", "name": "string", "width": 0, "height": 0, "page_count": 0, "byte_size": 0, "status": "uploading", "reject_reason": "string", "retention": "conversation", "source": "upload", "analysis_status": "not_required", "analysis": { "description": "string", "ocr_text": "string" }, "analysis_model": "string", "analysis_tokens": 0, "delivered_as": "native" } ] } ], "pending_action": { "call_id": "string", "action": "string", "args": {}, "requires_approval": true, "status": "pending", "page_url": "string", "landing_url": "string", "expires_at": "2019-08-24T14:15:22Z", "approval_decision": "approved", "decided_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "result_summary": "string", "capture_attachment_ids": [ "e80675e3-3e76-4b08-a1bb-cef8b56e29d0" ] }}Empty
{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}